﻿using System;
using System.Collections.Generic;
using GeoAPI.Geometries;

namespace Madart.OperationalUI.DataAccess.Models
{
    public partial class Country
    {
        public Country()
        {
            Location = new HashSet<Location>();
            VesselFlagCode = new HashSet<VesselFlagCode>();
        }

        public long CountryId { get; set; }
        public string CountryNameNor { get; set; }
        public string CountryNameEng { get; set; }
        public string TwoCharCode { get; set; }
        public string ThreeCharCode { get; set; }
        public int? CallCode { get; set; }
        public int? IsActive { get; set; }
        public int? IsWithinSchengen { get; set; }
        public int? IsWithinEu { get; set; }
        public int? IsValidNationalIdIssuer { get; set; }
        public IGeometry CountryGeometry { get; set; }

        public virtual ICollection<Location> Location { get; set; }
        public virtual ICollection<VesselFlagCode> VesselFlagCode { get; set; }
    }
}
