﻿using System;
using System.Collections.Generic;
using GeoAPI.Geometries;

namespace Madart.OperationalUI.DataAccess.Models
{
    public partial class VesselState
    {
        public int VesselStateId { get; set; }
        public long? VesselId { get; set; }
        public byte[] TypeByte { get; set; }
        public byte[] RepeatByte { get; set; }
        public bool? PositionAccuracy { get; set; }
        public int MmsiNo { get; set; }
        public string Status { get; set; }
        public int? SpeedOverGround { get; set; }
        public IPoint Position { get; set; }
        public double? CourseOverGround { get; set; }
        public int? TrueHeading { get; set; }
        public int? TimeStamp { get; set; }
        public string ManueverIndicator { get; set; }
        public bool? RaimFlag { get; set; }
        public int? RadioStatus { get; set; }
        public double? RelDistStd { get; set; }
        public double? RelDistMax { get; set; }
        public double? DistToP { get; set; }
        public int? NormalRouteId { get; set; }
        public DateTime? TimeReceived { get; set; }

        public virtual NormalRoute NormalRoute { get; set; }
        public virtual Vessel Vessel { get; set; }
    }
}
