﻿using System.Linq;

namespace Madart.OperationalUI.DataAccess.Repositories.Interface
{
	public interface IRepository<T>
	{
		T Find(object id);
		T Add(T item);
		T Update(T item);
		T Remove(T item);
		void SaveChanges();
	}
}