﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Madart.OperationalUI.MadAPI.Models
{
    public class DangerOfRunningAgroundInput
    {
        public double? lat, lon, sog, cog, angle, rng;

        public DangerOfRunningAgroundInput(double? lat, double? lon, double? sog, double? cog)
        {
            this.lat = lat;
            this.lon = lon;
            this.sog = sog;
            this.cog = cog;
			this.angle = 7-(sog??0)/7;
			this.rng = Math.Min(1500* Math.Pow(((sog??0)+2),2)/100, 4000);
        }
    }
}
