﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Madart.OperationalUI.MadAPI.Models
{
    public class DangerOfRunningAgroundOutput
    {
        public int? c_in_sector, s_in_sector;
        public double? coast_lat, coast_lon, coast_dist, coast_tti, skerry_lat, skerry_lon, skerry_dist, skerry_tti;
        public List<List<double?>> sector_polygon;
    }
}
     //- results: Dictionary containing:
     //     - len(s_in_sector) : number of skerry points in the sector
     //     - len(coast_lat) : number of coast points in the sector
     //     - coast_lat: latitude value of the closest coast in the sector
     //     - coast_lon: longitude value of the closest coast in the sector
     //     - coast_dist: distance to the closest coast in the sector
     //     - coast_tti: time till the boat hits the closest coast in the sector
     //     - skerry_lat: latitude value of the closest skerry in the sector
     //     - skerry_lon: longitude value of the closest skerry in the sector
     //     - skerry_dist: distance to the closest skerry in the sector
     //     - skerry_tti: time till the boat hits the closest skerry in the sector